# List transactions in a payout Returns a collection of transactions. Endpoint: GET /transactions Version: 1.0.0-rc2 ## Query parameters: - `payment_reference` (string) The reference id of the payout - `order_id` (string) The Kustom assigned order id reference - `size` (integer) How many elements to include in the result. If no value for size is provided, a default of 20 will be used. A maximum of 500 can be set. - `offset` (integer) The current offset. Describes "where" in a collection the current starts. ## Response 200 fields (application/json): - `transactions` (array, required) - `transactions.amount` (integer, required) Total amount of the specific transaction, in minor units Example: 2000 - `transactions.capture_id` (string) Each capture on an order is assigned a unique identifier, referred to as the capture_id, which is provided exclusively for sale and fee transactions. In instances of partial shipments, an order may undergo multiple captures, each of which is reflected as a separate transaction with its own unique capture_id. It's important to note that for certain transaction types such as RETURNS and REVERSALS, where captures do not exist, the API will return empty strings for the capture_ID field. Example: "33db6f16-9f43-43fa-a587-cc51411c98e4" - `transactions.merchant_reference1` (string) Merchant assigned reference, typically a reference to an order management system id - `transactions.sale_date` (string, required) ISO 8601 formatted date-time string Example: "2016-12-14T07:52:26Z" - `transactions.type` (string, required) The type of transaction. Enum: "COMMISSION", "SALE", "REVERSAL", "RETURN", "TAX", "FEE", "FEE_REFUND", "CORRECTION", "REVERSAL_MERCHANT_PROTECTION", "CHARGE", "CREDIT", "HOLDBACK", "RELEASE" - `transactions.capture_date` (string, required) ISO 8601 formatted date-time string Example: "2016-12-14T07:52:26Z" - `transactions.payment_reference` (string) Reference to the specific payout the transaction is part of, if available. Example: "XISA93DJ" - `transactions.order_id` (string, required) The Kustom assigned order id reference Example: "ce17b4cb-147f-48b7-b8e6-dde2fa397f04" - `transactions.payout` (string) Link to the payout that this transaction is part of Example: "https://{settlements_api}/payouts/XISA93DJ" - `transactions.refund_id` (string) The Kustom assigned id reference of a specific refund Example: "ef1baa1f-b42e-44be-b9e4-4b94510b53e5" - `transactions.short_order_id` (string) The Kustom assigned short order id reference Example: "shortrid" - `transactions.merchant_reference2` (string) Merchant assigned reference, typically a reference to an order management system id - `transactions.currency_code` (string, required) ISO 4217 Currency Code. Like USD, EUR, AUD or GBP. Example: "USD" - `transactions.purchase_country` (string, required) ISO Alpha-2 Country Code Example: "PL" - `transactions.vat_rate` (integer) VAT (Value added tax) rate on Kustom fees Example: 2000 - `transactions.vat_amount` (integer) VAT (Value added tax) amount on Kustom fees, in minor units Example: 1000 - `transactions.shipping_country` (string) ISO Alpha-2 Country Code Example: "PL" - `transactions.initial_payment_method_type` (string) Payment method the consumer chose during checkout Example: "direct_debit" - `transactions.initial_number_of_installments` (integer) Number of installments the consumer chose during checkout in case of installment payments Example: 3 - `transactions.initial_payment_method_monthly_downpayments` (integer) Number of monthly downpayments that were chosen during the checkout in case of installment payments. Example: 12 - `transactions.merchant_capture_reference` (string) Your internal reference to the capture, that has been submitted during capturing an order via API - `transactions.merchant_refund_reference` (string) Your internal reference to the refund, that has been submitted during refunding an order via API - `transactions.detailed_type` (string) Detailed description of the transaction type Enum: "COMMISSION", "CREDITED_CORRECTION", "PURCHASE_FEE_PERCENTAGE", "PURCHASE_FEE_PERCENTAGE_REFUND", "LATE_RETURN_FEE", "PURCHASE_FEE_FIXED", "EXPIRY_FEE_GROSS", "EXPIRY_FEE", "SERVICING_FEE", "RETURN_FEE", "EXTRA_INVOICE_FEE", "PURCHASE_RETURN", "COMMISSION_RETURN", "REVERSAL", "FRAUD_POLICY_CHARGE", "COMMISSION_RETURN_GROSS", "FRAUD_POLICY_CREDIT_NET", "PURCHASE", "MANUAL_ENTRY", "LOAN_PAYOUT", "LOAN_AMORTISATION", "LOAN_FEE", "FEE_REFUND", "PURCHASE_COMMISSION_PERCENTAGE", "EXTEND_DUE_DATE_FEE", "TRANSFER_FROM_LEGACY_INTEGRATION", "FIXED_FEE_CORRECTION_UK", "PERCENTAGE_FEE_CORRECTION_UK", "VAT_ON_FEE_CORRECTION_UK", "FIXED_FEE_CORRECTION_SE", "PERCENTAGE_FEE_CORRECTION_SE", "PERCENTAGE_FEE_CORRECTION", "FIXED_FEE_CORRECTION", "ROLLING_RESERVE", "PERCENTAGE_FEES", "PAYMENT_REMINDER", "CORRECTION", "UNDER_REVIEW", "INSUFFICIENT_BANK_ACCOUNT_DETAILS", "DISPUTE_FEE", "DISPUTE_FEE_REFUND", "CORRECTION_DISPUTE", "PAYMENT_DEFAULT" - `transactions.tax_in_currency_of_registration_country` (integer) The tax amount on the respective fee, converted into the currency of your registration country. In case you are a German merchant selling in another currency then EUR or a Swedish merchant selling in another currency then SEK, we convert the VAT amount on the Kustom fees into the currency of the country you are registered in, based on the exchange rate of the capture date. Example: 1000 - `transactions.currency_code_of_registration_country` (string) ISO 4217 Currency Code of the country you are registered in. Example: "EUR" - `transactions.klarna_comment` (string) Any additional information necessary to provide more context about the transaction. Example: "Loan Amortisation 2022-12-01" - `transactions.reversal_reference` (string) Unique internal identifier, known as DisputeKRN, assigned to each dispute by Kustom. This identifier includes a dispute category and a numeric code, enabling efficient tracking and management of the dispute's status. Example: "krn:klarna:eu1:dispute:goods_not_received:263099944398666" - `pagination` (object, required) - `pagination.count` (integer, required) The amount of elements in the current result Example: 10 - `pagination.total` (integer) The total amount of elements that are available Example: 42 - `pagination.next` (string) The URI to the next "page" of results. Example: "http://example.com/collection?offset=21&size=10" - `pagination.prev` (string) The URI to the previous "page" of results. Example: "http://example.com/collection?offset=0&size=10" - `pagination.offset` (integer) The current offset. Describes "where" in a collection the current starts. Example: 10 ## Response 400 fields (application/json): - `error_code` (string, required) ERROR_CODE - `error_messages` (array, required) Array of error messages - `correlation_id` (string, required) Unique id for this request used for troubleshooting. Example: "2fe0311b-adc5-45e5-ac2b-963dac83c88b"